Package com.smartgwt.client.widgets.grid.events

# Class ChangedEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<ChangedHandler>
com.smartgwt.client.widgets.grid.events.ChangedEvent

public class ChangedEvent extends AbstractSmartEvent<ChangedHandler>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangedEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `dispatch(ChangedHandler handler)`
  `static <S extends HasChangedHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<ChangedHandler>`
  `getAssociatedType()`
  `int`
  `getColNum()`
  column number of the cell
  `DataClass`
  `getFiringDataClass()`
  Returns the `DataClass` firing the event.
  `DynamicForm`
  `getForm()`
  the managing DynamicForm instance
  `FormItem`
  `getItem()`
  the editor (form item) itself (also available as "this").
  `int`
  `getRowNum()`
  row number for the cell
  `static GwtEvent.Type<ChangedHandler>`
  `getType()`
  Gets the type associated with this event.
  `Object`
  `getValue()`
  The current value (after the change).

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangedEvent

    public ChangedEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringDataClass

    public DataClass getFiringDataClass()
    Returns the `DataClass` firing the event.
    Returns:
      DataClass firing the event

  - ### fire

    public static <S extends HasChangedHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<ChangedHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(ChangedHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<ChangedHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<ChangedHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<ChangedHandler>`

  - ### getForm

    public DynamicForm getForm()
    the managing DynamicForm instance
    Returns:
      the managing DynamicForm instance

  - ### getItem

    public FormItem getItem()
    the editor (form item) itself (also available as "this"). Note that in addition to the standard FormItem APIs available&#010 on the editor, it also has:
    &#010 - a pointer back to the containing listGrid &#010 [`item.grid`]
    &#010 - the colNum being edited [`item.colNum`]
    &#010 - the rowNum being edited [`item.rowNum`]
    Returns:
      the editor (form item) itself (also available as "this"). Note that in addition to the standard FormItem APIs available&#010 on the editor, it also has:
      &#010 - a pointer back to the containing listGrid &#010 [`item.grid`]
      &#010 - the colNum being edited [`item.colNum`]
      &#010 - the rowNum being edited [`item.rowNum`]

  - ### getValue

    public Object getValue()
    The current value (after the change).
    Returns:
      The current value (after the change).

  - ### getRowNum

    public int getRowNum()
    row number for the cell
    Returns:
      row number for the cell

  - ### getColNum

    public int getColNum()
    column number of the cell
    Returns:
      column number of the cell